! SUBROUTINE AXISPL ====*====3====*====4====*====5====*====6====*====7
!
! modified by H.Funashima,2008 
!   zdmark -> circle
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE AXISPL
      use isp, only:mk,naxm
      use kkend
      use ayplot2, only:linewd,setdas
      IMPLICIT REAL*8 (A-H,O-Z)
!      PARAMETER (NAXMAX=30)                
!      COMMON/ISP/IX(NAXMAX),RT(NAXMAX),PS(2,NAXMAX),ICON(NAXMAX),MK(3,NAXMAX),NAXM
!      COMMON/KKEND/KK1M(3,NAXMAX),KK2M(3,NAXMAX) ,ICC1M(NAXMAX),ICC2M(NAXMAX)
      REAL*8 WD,XS,ZS,XS1,ZS1,XS2,ZS2
      REAL*8 RECT(4,3)
      real*8 x1(3), x2(3)
      INTEGER KG(3,3)
      character(2) :: mm
      DATA KG/1,0,0, 0,1,0, 0,0,1/
      radius = 1.0d0
      call rectag(kg,rect,3)
      call tphild(0.0d0,0,5,3,1)
      do i=1,naxm
        do j=1,3
          x1(j)=0.0d0
          x2(j)=0.0d0
          do k=1,3
            !x1(j)=x1(j)+rect(j,k)*(dble(kk1m(k,i))/icc1m(i))
             x1(j)=x1(j)+rect(j,k)*(float(kkm(1,k,i))/iccm(1,i))
            !x2(j)=x2(j)+rect(j,k)*(dble(kk2m(k,i))/icc2m(i))
            x2(j)=x2(j)+rect(j,k)*(float(kkm(2,k,i))/iccm(2,i))
          enddo
        enddo

        wd=1.0d0-i*0.01d0
        call linewd(wd)
        call tpline(x1(1),x1(2),x1(3),x2(1),x2(2),x2(3),30)
        call tpposi(x1(1),x1(2),x1(3),xp,zp)
        xs1=xp
        zs1=zp
        call setdas(0,0,0)
        call circle(xs1,zs1,radius)
        mm=mk(1,i)
        call ctype(xs1-3.0,zs1,20,mm)
        call tpposi(x2(1),x2(2),x2(3),xp,zp)
        xs2=xp
        zs2=zp
        call circle(xs2,zs2,radius)
        mm=mk(3,i)
        call ctype(xs2-3.0d0,zs2,20,mm)
        xs=(xs1+xs2)*0.5d0
        zs=(zs1+zs2)*0.5d0
        mm=mk(2,i)
        call ctype(xs,zs,18,mm)
      enddo
      write(6,*)'draw sphere'

      RETURN
      END
