! SUBROUTINE CHGORD ====*====3====*====4====*====5====*====6====*====7
!
! 
!  modified by H.Funashima,2010
!    refactoring code.
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE CHGORD(XXI,IXM,NXI,YM,JMAX,JL,NL,JR,NR)
      use ayband_param, only:maxeig,maxfkp
      implicit none
!
      real(8) :: XXI(maxfkp),YM(maxeig,maxfkp)
      integer :: NXI,JL,JR
      integer :: IXM(maxfkp),Jmax(maxfkp),NL(maxeig),NR(maxeig)
!
      real(8) :: D6
      integer :: IX,I,J,K,NS
!
      D6=1.0D-6


      JL=0
      do IX=1,NXI
         IF(ABS(XXI(IX)).LT.D6) then
             I=IXM(IX)
             JL=1
             NS=1
             do J=2,Jmax(I)
                 IF(YM(J,I)-YM(J-1,I).GT.D6) THEN
                    do K=1,NS
                      NL(J-NS-1+K)=J-K
                    enddo
                    NS=1
                 ELSE
                    NS=NS+1
                 END IF
             enddo
             do K=1,NS
               NL(Jmax(I)-NS+K)=Jmax(I)+1-K
             enddo
             exit ! escape IX loop
         endif
      enddo


      JR=0
      do IX=1,NXI
         IF(ABS(XXI(IX)-1.0D0).LT.D6) then
             I=IXM(IX)
             JR=1
             NS=1
             do J=2,Jmax(I)
                 if(YM(J,I)-YM(J-1,I).GT.D6) then
                     do K=1,NS
                       NR(J-NS-1+K)=J-K
                     enddo
                     NS=1
                 else 
                     NS=NS+1
                 endif
             enddo
             do K=1,NS
               NR(Jmax(I)-NS+K)=Jmax(I)+1-K
             enddo
             exit ! escape IX loop
         endif
      enddo
      RETURN
      END subroutine chgord
