! SUBROUTINE ENERED ====*====3====*====4====*====5====*====6====*====7
!
! READ ENERGY
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE ENERED(jf,NLCOMP)
      use scl, only:iso
      use ayband_param, only:maxeig
      use enr
      use mrk, only:nsit
      use check_array_size, only:check_nkp,check_neig
      implicit none
!
      integer :: nlcomp
      integer :: jf ! file number
      integer :: io
!
      character(2) :: MRR
      integer :: KX(3),kxx(3),KBB(3,10),KG(3,10),itcr(12)
      integer :: ndeg(12),jtr(12),ipart(12)
      integer :: KK,IC,NST,NEIG,NFACT,IUD,MRN,MWEI,icx
      integer :: NG,IND,mmg,nrr
      integer :: N,jdob
      integer :: i,j,k
!
      REWIND jf
!
      N=0
      do
          READ(jf,150,iostat=io) KK,(KX(J),J=1,3),IC,IUD,MRR,MRN,MWEI,NST,NEIG
          if ( io .lt. 0 ) exit
  150     FORMAT(I3,2X,3I3,1X,2I3,2X,A2,I2,3I3)
          call check_neig(neig) ! check: neig > maxeig?
          IF(NEIG.GT.0) then
              READ(jf,*) (EIG(J),J=1,NEIG)
          else
              cycle
          endif
          IF(NLCOMP.NE.0) THEN
             NFACT=(NLCOMP-1)/2+1
             do  K=1,NEIG*NFACT
                READ(jf,*)
             enddo
          END IF
          N=N+1
          call check_nkp(N) ! check: n > maxkpt?
          CALL NEAREC(KX,IC,KBB,KG,NG)
          do J=1,3
             kxx(j)=kbb(j,1)
             KXM(J,N)=KBB(J,1)
          enddo
          icx=ic

          if(iso.eq.3) then
              jdob=1
          else
              jdob=0
          endif

          call corres(kxx,icx,kx,ic,jdob,itcr,nrr,ind)
          call tsirep(kxx,icx,jdob)
         !-------------------------------------------------------------
         !
         ! == Specification Subroutine DGTRST(in TSPACE) ===
         !
         ! -- input --
         !  JDOB=0 (single group)
         !  JDOB=1 (double group)
         !
         ! -- output --
         !  NRR    : Number of Irreducible Representation
         !  MMG    : Number of Elements of K-point Group
         !  NSTR   : Number of Star
         !  NDEG   : Deneracy of Irreducible Represenation
         !  JTR(12): Herring Sum
         !  IPART(12): Partner
         !
          call dgtrst(jdob,nrr,mmg,nst,ndeg,jtr,ipart)

          if(ind.eq.0) then
             write(6,*) ' kx=',kx,ic,' kxx=',kxx,icx
             write(6,*) ' stop at corres in ENERED'
             stop
          end if

          ICM(N)=IC
          IUDM(N)=IUD
          MRRM(N)=MRR
          MRNM(N)=itcr(MRN)

          if(ipart(itcr(mrn)).ne.0.and.ipart(itcr(mrn)).lt.itcr(mrn)) then
            mrnm(n)=ipart(itcr(mrn))
          end if

          MWEIM(N)=MWEI
          NSTM(N)=NST
          NEIGM(N)=NEIG
          do J=1,NEIG
            EIGM(J,N)=EIG(J)
          enddo
      enddo

      NKPINT=N
      forall( I=1:NKPINT) NSIT(I) = 0
      write(*,'("Number of K-point =",i7)') N
      RETURN
      END
