! SUBROUTINE MARKCN ====*====3====*====4====*====5====*====6====*====7
!
! MARKCN
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE MARKCN(IUD,NSPIN)
      use scl, only:wx,wy,EO,ym
      use isp, only:RT,ps
      use enr, only:iudm,mrnm,neigm,eigm,nkpint
      use mrk
      use canvas
      use ayplot2, only:cnmark
      implicit none
!
      integer :: IUD,NSPIN
!
      integer :: ipoin
      real(8) :: XA,YA
      integer :: I,N,KK
!
      IF(IUD.EQ.1.OR.NSPIN.NE.3) then
          write(IFILE,*) '.1 setgray'
          IPOIN=IPOINT
      else IF(IUD.EQ.2.AND.NSPIN.EQ.3) then
          write(IFILE,*) '.5 setgray'
          IPOIN=IPOINT*1.3
      endif
      do I=1,NKPINT
         IF( (IUD.eq.IUDM(I)) .and. (NSIT(I).ne.0) ) then
             do  N=1,NSIT(I)
               XA=(PS(1,MSIT(N,I))+RT(MSIT(N,I))*XIMS(N,I))*WX
               do KK=1,NEIGM(I)
                 YA=(EIGM(KK,I)-EO)*WY
                 IF(YA.LT.YM.AND.YA.GT.0.0d0) THEN
                    CALL CNMARK(IPOIN,MRNM(I),XA,YA)
                 END IF
               enddo
             enddo
         endif
      enddo
      write(IFILE,*) '0 setgray'
      RETURN
      END  
