! SUBROUTINE TSVECT ====*====3====*====4====*====5====*====6====*====7
!
! 
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE TSVECT
      use spgspl
      implicit none
!------------------------------------------------------------------------------------
!
!   For TSPACE
!
      integer :: IL,NGNG,IIGG,JV ! for SPG2
      integer :: KB,ICB,MG,JG,JK,IZ,IFA,IFC,IDOUB,MTRG,JTRG,ITRC !for SPG3
      integer :: NR,NH,ND,IR,IATR ! for SPG4
      complex(8) ::  CR
!
      COMMON/SPG2/IL,NGNG,IIGG(48),JV(2,3,48)
      COMMON/SPG3/KB(3),ICB,MG,JG(48),JK(3,48)&
         ,IZ,IFA(48,48),IFC,IDOUB,MTRG,JTRG(4,48),ITRC(3,48)
      COMMON/SPG4/NR,NH,ND(12),IR(7,48,12),CR(48,12),IATR(12)
!------------------------------------------------------------------------------------

      integer    ::  TC(24),TH(12)
      DATA TC/&
        1,2,2,2,3,3,3,3,3,3,3,3,&
        2,2,2,2,2,2,4,4,4,4,4,4/
      DATA TH/&
        1,6,3,2,3,6,2,2,2,2,2,2/
      integer ::  KBB(3),IC,INV,NI,IG
      real(8),parameter :: pi=4.0d0*atan(1.0d0)
      integer,parameter :: L=1
      real(8) :: CL,WB,XX
      integer :: igg,iir,j

      !------------------------------------------
      !
      ! obtain Irreducible representation at GM
      !
      do j=1,3
        KBB(j)=0
      enddo
      IC=1
      CALL TSIREP(KBB,IC,0)
      !
      !
      !------------------------------------------

      !------------------------------------------
      !
      !   CHARCTER TEST
      !
      DO 203 IIR=1,NR
          WB=0.0D0
          DO 204 IGG=1,MG
              IG=IIGG(JG(IGG))
              IF(IL.gt.0) then
                  if(IG.GT.24) then
                      IG=IG-24
                      INV=-1
                  else
                      INV=1
                  endif
              else
                  if(IG.GT.12) THEN
                      IG=IG-12
                      INV=-1
                  else
                      INV=1
                  endif
              endif

              IF(IG.ne.1) then
                  IF(IL.gt.0) then
                      XX=(pi/TC(IG))
                  else
                      XX=(pi/TH(IG))
                  endif
                  CL=SIN((2*L+1)*XX)/SIN(XX)
              else
                  CL=2*L+1
              endif
              CL=CL*INV
              IF(ABS(CL).ge.0.001D0) then
                  WB=WB+CL*CR(IGG,IIR)
              endif
  204     CONTINUE
          WB=WB/MG
          NI=WB+0.5D0
          WRITE(6,700) IIR,ND(IIR),NI
  700     FORMAT(2X,'IR=',I2,2X,'NDEG=',I2,2X,'NI=',I2)
          NIRG(IIR)=NI
          NDIRG(IIR)=ND(IIR)
 203  CONTINUE
      NNRG=NR
      RETURN
      END
