! SUBROUTINE CTYPE  ====*====3====*====4====*====5====*====6====*====7
!
! WRITE NAMES OF POINTS AND AXES                                       *
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE AXJUMP(IAX,IND)
      use isp, only:rt
      use jmpax, only:indjax,rtjmp
      use kkend
      use scl
      implicit none
!
      integer :: iax,ind(2)
!
      integer ::  kx(3),kxx(3)
      integer ::  kkx(3)
      integer ::  ic,iic,indx,indp
      real(8) ::  KB(2,3)
      real(8) ::  SS,SSS
      real(8),parameter :: eps=0.8D-1,zero=1.0D-5
      integer ::  ICOUNT,j,ktype
!
      do j=1,3
        do ktype=1,2
          KB(ktype,j)=DBLE(KKM(ktype,j,IAX))/ICCM(ktype,IAX)
        enddo
      enddo
      do ktype=1,2
        IF(IND(ktype).NE.0) INDP=IND(ktype)
      enddo
      DO 12 ICOUNT=1,100
        IC=1000000
        do j=1,3
          KX(j)=((KB(1,j)+KB(2,j))*0.5D0)*IC
        enddo
        CALL TSKFBZ(KX(1),KX(2),KX(3),IC,INDX)
        IF(INDX.GT.INDP) GO TO 13
        IF((INDX.EQ.0.AND.IND(1).EQ.0).OR.(INDX.NE.0.AND.IND(1).NE.0)) THEN
             do j=1,3
               KB(1,j)=DBLE(KX(j))/IC
             enddo
             IND(1)=INDX
        ELSE
             do j=1,3
               KB(2,j)=DBLE(KX(j))/IC
             enddo
             IND(2)=INDX
        END IF

        

        !--------------------------------------------------------------------------
        !
        ! check: whether KB1 and KB2 is same k-point nor not.
        !
        !--------------------------------------------------------------------------
        !
        !
        do j=1,3
          KXX(j)=(KB(1,j)-KB(2,j))*IC
        enddo
        !----------------------------------------------------------------
        !
        ! == Specification Entry ZZZY37(in TSPACE) ==
        !
        ! call zzzy37(kx,ky,kz,s)
        !
        ! -- input --
        !   kx,ky,kz,ic : coordinate (kx,ky,kz) /ic ( ic is common denominator )
        !
        ! -- output --   
        !   s: norm of reciprocal vector
        !
        !----------------------------------------------------------------
        CALL ZZZY37(KXX(1),KXX(2),KXX(3),IC,SS)
        IF(SS.LT.zero) GO TO 13  !KB1 and KB2 is same k-point
        


 12   CONTINUE
      WRITE(6,*) ' STOP IN AXJUMP'
      STOP
 13   continue
      do j=1,3
        KKX(j)=KX(j)*ICCM(1,IAX)-KKM(1,j,IAX)*IC
      enddo
      IIC=IC*ICCM(1,IAX)
      CALL ZZZY37(KKX(1),KKX(2),KKX(3),IIC,SSS)
      IF(SSS.GT.eps.AND.ABS(SSS-RT(IAX)).GT.eps) THEN
          INDJAX(IAX)=1
          RTJMP(IAX)=SSS
      ELSE
          INDJAX(IAX)=0
      END IF            
      write(6,600)(KKX(j),j=1,3),IIC,INDJAX(IAX),SSS
 600  FORMAT(' AXJUMP:(',I9,',',I9,',',I9,')/', I9,3X,'INDJAX=',3X,I3,3X,'SSS=',F8.4)
      RETURN
      END subroutine axjump
