!--------1---------2---------3---------4---------5---------6---------7---------8
!
! SUBROUTINE CIRCLE(XC,YC,R)
! center (XC,YC)
! radius = R
!
!--------1---------2---------3---------4---------5---------6---------7---------8
      subroutine circle(xc,yc,r)
      use ayplot2, only:lineto,moveto
      implicit none
!
      real(8) :: xc,yc,r
!
      integer,parameter :: ndiv=100
      real(8),parameter :: pi=4.0d0*atan(1.0d0)
      real(8) :: theta,x,y
      integer :: i
!
      theta=2*pi/float(ndiv)
      call moveto(xc+r,yc)
      do i=0,ndiv
        x=xc+r*cos(theta*i)
        y=yc+r*sin(theta*i)
      call lineto(x,y)
      enddo
      return
      end
