! SUBROUTINE ENDTRM ====*====3====*====4====*====5====*====6====*====7
!
! -- input --
!   Iaxis: Index of axis
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE ENDTRM(Iaxis,XXI,IXM,NXI,IRNM,JMAX,JJMAX,J00LR)
      use ayband_param, only:maxeig,maxfkp
      use spgspl  , only:nirg,nnrg
      use scl, only:ISO
      use kkend
      implicit none
!
      integer :: Iaxis
      real(8) :: XXI(maxfkp)
      INTEGER :: IXM(MAXFKP),NXI,IRNM(maxeig,maxfkp)
      integer :: JMAX(maxfkp),JJMAX,J00LR(maxeig,2)
!
      complex(8) :: DB(6,3,6,5)
      integer :: KB(3),KBI(3),KBO(3),KG(3),JNDLR(12,2)
      integer :: NDES(12),JTRS(12),IPAS(12),ITCR(12)
      integer :: KX(3)
      integer :: jdob
      real(8),parameter :: zero=1.0D-6

      integer :: ICC,ICO,INDEQK,NRRR,IND,NRS,MMG,NSTR,NI
      integer :: ILEFT,IRIGHT
      integer :: JLR,IR1,IR2,i,j,k,IRG
   
!
      IF(ISO.EQ.3) then
          jdob=1
      else
          jdob=0
      endif
!
      DO 13 JLR=1,2
         IF(JLR.EQ.1) THEN
            do I=1,NXI
              IF(ABS(XXI(I)).LT.zero) GO TO 2
            enddo
            do J=1,JJMAX 
              J00LR(J,1)=999
            enddo
            GO TO 13
 2          ILEFT=IXM(I)
            do  K=1,3
              KBI(K)=KKM(1,K,Iaxis)*ICCM(2,Iaxis)*9+KKM(2,K,Iaxis)*ICCM(1,Iaxis)
              KBO(K)=KKM(1,K,Iaxis)*ICCM(2,Iaxis)*11-KKM(2,K,Iaxis)*ICCM(1,Iaxis)
            enddo
         ELSE
            do I=1,NXI
                IF(ABS(XXI(I)-1.0D0).LT.zero) GO TO 42
            enddo
            do J=1,JJMAX
               J00LR(J,2)=999
            enddo
            GO TO 13   
 42         IRIGHT=IXM(I)
            do  K=1,3
               KBI(K)=KKM(1,K,Iaxis)*ICCM(2,Iaxis)+KKM(2,K,Iaxis)*ICCM(1,Iaxis)*9
               KBO(K)=-KKM(1,K,Iaxis)*ICCM(2,Iaxis)+KKM(2,K,Iaxis)*ICCM(1,Iaxis)*11
            enddo
         END IF
         ICC=10*ICCM(1,Iaxis)*ICCM(2,Iaxis)
         ICO=ICC
         CALL EQUIKK(KBI,ICC,KBO,ICO,KG,INDEQK)
         CALL CORRES(KBI,ICC,KBO,ICO,jdob,ITCR,NRRR,IND)

         IF(JLR.EQ.1) THEN
            do j=1,3
              KX(j)=KKM(1,j,Iaxis)
            enddo
            ICC=ICCM(1,Iaxis)
         ELSE
            do j=1,3
              KX(j)=KKM(2,j,Iaxis)
            enddo
            ICC=ICCM(2,Iaxis)
         END IF

         do j=1,3
           KB(j)=KX(j)
         enddo
         
         CALL TSIREP(KB,ICC,jdob)
         CALL DGTRST(jdob,NRS,MMG,NSTR,NDES,JTRS,IPAS)
         
         do IR1=1,NRS
            IF(INDEQK.NE.0) THEN
                JNDLR(IR1,JLR)=0
                do IRG=1,NNRG
                  IF(NIRG(IRG).NE.0) THEN
                      CALL DRCGCF(IR1,IRG,IR1,DB,NI)
                      IF(NI.NE.0) JNDLR(IR1,JLR)=JNDLR(IR1,JLR)+NI
                      IF(IPAS(IR1).NE.0) THEN
                          IR2=IPAS(IR1)
                          CALL DRCGCF(IR1,IRG,IR2,DB,NI)
                          IF(NI.NE.0) JNDLR(IR1,JLR)=JNDLR(IR1,JLR)+NI
                      END IF
                  END IF
                enddo
            ELSE
               JNDLR(IR1,JLR)=99
            END IF
         enddo

         do J=1,JJMAX
           IF(JLR.EQ.1) THEN
              IF(JMAX(ILEFT).GE.J) then
                  J00LR(J,1)=JNDLR(IRNM(J,ILEFT),1)
              else
                  J00LR(J,1)=9
              endif
           ELSE
              IF(JMAX(IRIGHT).GE.J) then 
                  J00LR(J,2)=JNDLR(IRNM(J,IRIGHT),2)
              else
                  J00LR(J,2)=9
              endif
           END IF
        enddo

 13   CONTINUE
      RETURN
      END
