! SUBROUTINE FERMIE ====*====3====*====4====*====5====*====6====*====7
!
! WRITE FERMI ENERGY                                                  
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE FERMIE(EF)
      use scl, only:wx,wy,eo,xm,ym
      use isp, only:ps,mk,icon,naxm
      use ayplot2, only:awrite,lineto,moveto,setdas
      implicit none
!
      real(8) :: EF
!
      real(8)  ::  XO,XE,YF
      integer  ::   N
      YF=(EF-EO)*WY
      IF(YF.GT.YM.OR.YF.LT.0.0d0) RETURN
      XO=0.0d0
      do N=1,NAXM
        IF(ICON(N).EQ.1.OR.N.EQ.NAXM) THEN
           XE=WX*PS(2,N)
           CALL SETDAS(6,4,1) 
           CALL MOVETO(XO,YF)
           CALL LINETO(XE,YF)
           IF(N.NE.NAXM) XO=WX*PS(1,N+1)
        ENDIF
      enddo
      CALL SETDAS(0,0,0)
      CALL AWRITE(20,'E',1,XM+2.0d0,YF-2.5d0,0)
      CALL AWRITE(12,'F',1,XM+7.0d0,YF-3.5d0,0)
      RETURN
      END
