! SUBROUTINE KPFIEN ====*====3====*====4====*====5====*====6====*====7
!
! 
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE KPFIEN(Iaxis,NRECPT,NRPT)
      use ayband_param, only:maxkpt
      use scl, only:ipr
      use kkend
      use isp, only:ix
      use enr, only:kxm,icm,iudm,mrrm,mrnm,nkpint
      use axp
      use check_array_size
      implicit none
!------------------------------------------------------------------
!
!  for TSPACE
!
      integer :: IL,NG,IG,JV ! for SPG2
      integer :: KS,JS,NS,ICBB
      complex(8) :: CW
!
      COMMON/SPG2/IL,NG,IG(48),JV(2,3,48)
      COMMON/STK/KS(3,48),JS(48),NS,ICBB,CW(48,12)
!
!------------------------------------------------------------------
!
      integer :: Iaxis,NRECPT(3,20),NRPT
!
      integer :: KB(3),KBC(3),IC
      integer :: JIND(maxkpt),IMM(maxkpt)
      real(8) :: X(3),DX(3),XK(3)
      real(8) :: D6
      integer :: KGG,NJ,NTLATC
      integer :: i,j,k,ji,jx,n
!
      CALL ADDINV(NTLATC)
      do j=1,3
        X(j)=DBLE(KKM(1,j,Iaxis))/ICCM(1,Iaxis)
        DX(j)=DBLE(KKM(2,j,Iaxis))/ICCM(2,Iaxis)-X(j)
      enddo
      D6=1.0D-6
      NPOINT=0

      do I=1,NKPINT
         JIND(I)=0
      enddo

      DO 1 I=1,NKPINT
         IF(JIND(I).NE.0) cycle
         do jx=1,3
           KB(jx)=KXM(jx,I)
         enddo
         IC=ICM(I)
         NJ=1
         IMM(1)=I
         IF(I.LE.NKPINT) THEN
            DO 4 JI=I+1,NKPINT
               IF(JIND(JI).NE.0) cycle
               do K=1,3
                  IF(KB(K)*ICM(JI).NE.KXM(K,JI)*IC) GO TO 4
               enddo
               NJ=NJ+1
               IMM(NJ)=JI
    4       CONTINUE
         END IF
!-----------------------------------------
!        STAR OF K IS OBTAINED
         CALL TSIREP(KB,IC,0)
         CALL ZZZY38
!------------------------------------------
         DO 2 J=1,NS
           DO 3 KGG=1,NRPT

              do jx=1,3
                XK(jx)=DBLE(KS(jx,J))/ICBB+DBLE(NRECPT(jx,KGG))
              enddo

              do jx=1,3
                IF(DABS(DX(jx)).LE.D6.AND.DABS(XK(jx)-X(jx)).GT.D6) goto 3
              enddo

              IF(DABS(DX(1)).GT.D6) THEN
                  do jx=2,3
                    IF(DABS(DX(jx)).GT.D6) THEN
                        IF(DABS((XK(1)-X(1))/DX(1)-(XK(jx)-X(jx))/DX(jx)).GT.D6) goto 3
                    END IF
                  enddo
              END IF

              IF(DABS(DX(2)).GT.D6.AND.DABS(DX(3)).GT.D6) THEN
                 IF(DABS((XK(2)-X(2))/DX(2)-(XK(3)-X(3))/DX(3)).GT.D6) cycle
              END IF 

              do jx=1,3
                IF( IX(Iaxis).EQ.jx  .AND.  ((XK(jx)-X(jx))/DX(jx).LT.-1.0D0.OR.(XK(jx)-X(jx))/DX(jx).GT.2.0D0))  goto 3
              enddo

              do jx=1,3
                KBC(jx)=KS(jx,J)+NRECPT(jx,KGG)*ICBB
              enddo

              IF(NPOINT.EQ.0) GO TO 20
              DO 21 N=1,NPOINT
                 do K=1,3
                    IF(KBC(K)*ICCB(N).NE.KKB(K,N)*ICBB) GO TO 21
                 enddo
                 IF(MRNM(IFKP(N)).EQ.MRNM(I)) GO TO 3
   21         CONTINUE

   20         DO 6 JI=1,NJ
                 JIND(IMM(JI))=I
                 NPOINT=NPOINT+1
                 call check_npoint ! check: npoint > maxfkp?
                 IFKP(NPOINT)=IMM(JI)
                 JSKP(NPOINT)=JS(J)
                 do jx=1,3
                   KKB(jx,NPOINT)=KBC(jx)
                 enddo
                 ICCB(NPOINT)=ICBB
                 IF(IPR.GE.4) THEN
                    WRITE(6,601) NPOINT,KBC,ICBB,IFKP(NPOINT),KB,IC,MRRM(IFKP(NPOINT)),MRNM(IFKP(NPOINT)),j,kgg,(KS(k,J),K=1,3)
  601               FORMAT(I3,' (',3I4,')/',I4,2X,I6,'(',3I4,')/',I3,2X,A2,I3,' J=',I3,2x,' KGG=',I3,2x,'KS=(',3i4,')')
                 END IF
    6         CONTINUE

    3      CONTINUE
    2   CONTINUE
    1 CONTINUE
      CALL REMINV
      RETURN
      END
