! SUBROUTINE PLOTSC ====*====3====*====4====*====5====*====6====*====7
!
! WRITE NAMES OF POINTS AND AXES                                      
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE PLOTSC(IUD)
      use ayband_param, only:n65
      use axe, only:eax,nlin,jrr,jud,naxen
      use scl, only:wx,wy,EO,ym,ipr
      use isp, only:rt,ps,mk
      use ayplot2, only:lineto,moveto

      implicit none
!
      integer :: IUD
!
      REAL(8)  ::  XA,YA,XB,YB,XC
      integer :: i,jlin,jaxen
!
      if(IPR.ge.1) then
          write(6,'("Number of Interpolate Point =",I4)')n65
      endif

      DO 110 jaxen=1,naxen
        IF(IUD.NE.JUD(jaxen)) cycle
        IF(IPR.GE.1) then
            WRITE(6,2000) jaxen,MK(2,JRR(jaxen)),NLIN(jaxen)
 2000       FORMAT(I5,2X,'AXIS NAME:',A2,I4)
        endif
        IF(NLIN(jaxen).LE.0) cycle
        DO 100 jlin=1,NLIN(jaxen)
          XA=WX*PS(1,JRR(jaxen))
          YA=(EAX(1,jlin,jaxen)-EO)*WY
          IF(YA.GT.0.0.AND.YA.LT.YM) CALL MOVETO(XA,YA)
          DO 180 I=2,n65
            XB=XA
            YB=YA
            XA=PS(1,JRR(jaxen))+(RT(JRR(jaxen))*(I-1))/(N65-1)
            XA=XA*WX
            YA=(EAX(I,jlin,jaxen)-EO)*WY

            !================================================
            !
            ! Draw dispersion Curve
            !
            !================================================ 

            !------------------------------------------------
            !
            ! 29 Oct. 2002 
            ! modified by H.Kono(Tohoku Univ.) 
            !                    and H.Funashima(Osaka Univ.) 
            !
            !------------------------------------------------
            if(YB.LE.YM) then
                if(YA.GE.YM) then
                    XC=XB+(XA-XB)*((YM-YB)/(YA-YB))
                    CALL LINETO(XC,YM)
                else 
                    if (yb.GE.0.0d0) then
                        if(ya.LE.0.0d0) then
                            XC=XB+(XA-XB)*(YB/(YB-YA))
                            CALL LINETO(XC,0.0d0)
                        else
                            CALL LINETO(XA,YA)
                        end if
                    else if(YA.GE.0.0d0) then
                        XC=XB+(XA-XB)*(-YB/(YA-YB))
                        CALL MOVETO(XC,0.0d0)
                        CALL LINETO(XA,YA)
                    end if
                end if
            else if(YA.LE.YM) then
                XC=XB+(XA-XB)*((YB-YM)/(YB-YA))
                CALL MOVETO(XC,YM)
                CALL LINETO(XA,YA)
            end if
            !---------------------------------------------------
  180     CONTINUE
  100   CONTINUE
  110 CONTINUE
      RETURN
      END
