! SUBROUTINE RECFND ====*====3====*====4====*====5====*====6====*====7
!
! -- Input --
!  Iaxis: Index of Axis
!
!---*----1----*----2----*----3----*----4----*----5----*----6----*----7
      SUBROUTINE RECFND(Iaxis,NRECPT,NRPT)
      use scl, only:ipr
      use kkend
      implicit none
!
      integer :: Iaxis,NRPT

      integer :: KB(3),NRECPT(3,20),KG(3,10),KBB(3,10)
      integer :: ICC,NNG
      integer :: j,k,N,IJ,JJ
      JJ=0
      DO 10 j=1,4
         select case(j)
           case(1) 
               do K=1,3
                 KB(K)=2*KKM(1,K,Iaxis)*ICCM(2,Iaxis)-KKM(2,K,Iaxis)*ICCM(1,Iaxis)
               enddo
               ICC=ICCM(1,Iaxis)*ICCM(2,Iaxis)
           case(2) 
               do K=1,3
                 KB(K)=KKM(1,K,Iaxis)
               enddo
               ICC=ICCM(1,Iaxis)
           case(3)
               do K=1,3
                 KB(K)=KKM(2,K,Iaxis)
               enddo
               ICC=ICCM(2,Iaxis)
           case(4)
               do K=1,3
                 KB(K)=2*KKM(2,K,Iaxis)*ICCM(1,Iaxis)-KKM(1,K,Iaxis)*ICCM(2,Iaxis)
               enddo
               ICC=ICCM(1,Iaxis)*ICCM(2,Iaxis)
         end select
         CALL NEAREC(KB,ICC,KBB,KG,NNG)
         DO 16 N=1,NNG
            IF(JJ.ne.0) then 
              DO 18 IJ=1,JJ
                do K=1,3
                  IF(KG(K,N).NE.NRECPT(K,IJ)) GO TO 18
                enddo
                GO TO 16
   18         CONTINUE
            endif
            JJ=JJ+1
            do K=1,3
               NRECPT(K,JJ)=KG(K,N)
            enddo
            IF(IPR.GE.4) then
                WRITE(6,601) Iaxis,J,JJ,(NRECPT(K,JJ),K=1,3)
  601           FORMAT(6I5)
            endif
   16    CONTINUE
   10 CONTINUE
      NRPT=JJ
      RETURN
      END
